## API Report File for "@fluentui/react-card"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import * as React_2 from 'react';
import type { Slot } from '@fluentui/react-utilities';
import type { SlotClassNames } from '@fluentui/react-utilities';

// @public
export const Card: ForwardRefComponent<CardProps>;

// @public
export const cardClassNames: SlotClassNames<CardSlots>;

// @public
export const cardCSSVars: {
    cardSizeVar: string;
    cardBorderRadiusVar: string;
};

// @public
export const CardFooter: ForwardRefComponent<CardFooterProps>;

// @public
export const cardFooterClassNames: SlotClassNames<CardFooterSlots>;

// @public
export type CardFooterProps = ComponentProps<CardFooterSlots>;

// @public
export type CardFooterSlots = {
    root: Slot<'div'>;
    action?: Slot<'div'>;
};

// @public
export type CardFooterState = ComponentState<CardFooterSlots>;

// @public
export const CardHeader: ForwardRefComponent<CardHeaderProps>;

// @public
export const cardHeaderClassNames: SlotClassNames<CardHeaderSlots>;

// @public
export const cardHeaderCSSVars: {
    cardHeaderGapVar: string;
};

// @public
export type CardHeaderProps = ComponentProps<Partial<CardHeaderSlots>>;

// @public
export type CardHeaderSlots = {
    root: Slot<'div'>;
    image: Slot<'div', 'img'>;
    header: Slot<'span'>;
    description: Slot<'span'>;
    action?: Slot<'div'>;
};

// @public
export type CardHeaderState = ComponentState<CardHeaderSlots>;

// @public
export const CardPreview: ForwardRefComponent<CardPreviewProps>;

// @public
export const cardPreviewClassNames: SlotClassNames<CardPreviewSlots>;

// @public
export type CardPreviewProps = ComponentProps<CardPreviewSlots>;

// @public
export type CardPreviewSlots = {
    root: Slot<'div'>;
    logo?: Slot<'div', 'img'>;
};

// @public
export type CardPreviewState = ComponentState<CardPreviewSlots>;

// @public
export type CardProps = ComponentProps<CardSlots> & {
    appearance?: 'filled' | 'filled-alternative' | 'outline' | 'subtle';
    focusMode?: 'off' | 'no-tab' | 'tab-exit' | 'tab-only';
    orientation?: 'horizontal' | 'vertical';
    size?: 'small' | 'medium' | 'large';
    selected?: boolean;
    defaultSelected?: boolean;
    onSelectionChange?: (event: CarOnSelectionChangeEvent, data: CardOnSelectData) => void;
};

// @public
export type CardSlots = {
    root: Slot<'div', 'a' | 'button'>;
    select?: Slot<'div', 'input'>;
};

// @public
export type CardState = ComponentState<CardSlots> & Required<Pick<CardProps, 'appearance' | 'orientation' | 'size'> & {
    interactive: boolean;
    selectable: boolean;
    hasSelectSlot: boolean;
    selected: boolean;
}>;

// @public
export type CarOnSelectionChangeEvent = React_2.MouseEvent | React_2.KeyboardEvent | React_2.ChangeEvent;

// @public
export const renderCard_unstable: (state: CardState) => JSX.Element;

// @public
export const renderCardFooter_unstable: (state: CardFooterState) => JSX.Element;

// @public
export const renderCardHeader_unstable: (state: CardHeaderState) => JSX.Element;

// @public
export const renderCardPreview_unstable: (state: CardPreviewState) => JSX.Element;

// @public
export const useCard_unstable: (props: CardProps, ref: React_2.Ref<CardRefElement>) => CardState;

// @public
export const useCardFooter_unstable: (props: CardFooterProps, ref: React_2.Ref<HTMLElement>) => CardFooterState;

// @public
export const useCardFooterStyles_unstable: (state: CardFooterState) => CardFooterState;

// @public
export const useCardHeader_unstable: (props: CardHeaderProps, ref: React_2.Ref<HTMLElement>) => CardHeaderState;

// @public
export const useCardHeaderStyles_unstable: (state: CardHeaderState) => CardHeaderState;

// @public
export const useCardPreview_unstable: (props: CardPreviewProps, ref: React_2.Ref<HTMLElement>) => CardPreviewState;

// @public
export const useCardPreviewStyles_unstable: (state: CardPreviewState) => CardPreviewState;

// @public
export const useCardStyles_unstable: (state: CardState) => CardState;

// (No @packageDocumentation comment for this package)

```
